{
  "name": "@link-stack",
  "version": "2.2.0",
  "description": "Link from the Center for Digital Resilience",
  "scripts": {
    "dev": "dotenv -- turbo dev",
    "build": "dotenv -- turbo build",
    "migrate": "dotenv -- npm run migrate --workspace=database",
    "lint": "dotenv turbo lint",
    "update-version": "find . -name 'package.json' -exec sed -i -E 's/\"version\": \"[^\"]+\"/\"version\": \"2.2.0\"/' {} +",
    "upgrade:setup": "npm i -g npm-check-updates",
    "upgrade:check": "ncu && ncu -ws",
    "upgrade": "ncu -u -x eslint -x kysely && ncu -ws -u -x eslint -x kysely && npm i",
    "clean": "rm -f package-lock.json && rm -rf node_modules && rm -rf .turbo && rm -rf apps/*/node_modules && rm -rf apps/*/package-lock.json && rm -rf apps/*/.next && rm -rf packages/*/node_modules && rm -rf apps/*/.next && rm -rf packages/*/.turbo && rm -rf packages/*/build && rm -rf docker/zammad/addons/*",
    "docker:all:up": "node docker/scripts/docker.js all up",
    "docker:all:down": "node docker/scripts/docker.js all down",
    "docker:all:build": "node docker/scripts/docker.js all build",
    "docker:link:dev:up": "node docker/scripts/docker.js linkDev up",
    "docker:link:dev:down": "node docker/scripts/docker.js linkDev down",
    "docker:link:up": "node docker/scripts/docker.js link up",
    "docker:link:down": "node docker/scripts/docker.js link down",
    "docker:link:build": "node docker/scripts/docker.js link build",
    "docker:opensearch:up": "node docker/scripts/docker.js opensearch up",
    "docker:opensearch:down": "node docker/scripts/docker.js opensearch down",
    "docker:opensearch:build": "node docker/scripts/docker.js opensearch build",
    "docker:leafcutter:dev:up": "node docker/scripts/docker.js leafcutterDev up",
    "docker:leafcutter:dev:down": "node docker/scripts/docker.js leafcutterDev down",
    "docker:leafcutter:up": "node docker/scripts/docker.js leafcutter up",
    "docker:leafcutter:down": "node docker/scripts/docker.js leafcutter down",
    "docker:leafcutter:build": "node docker/scripts/docker.js leafcutter build",
    "docker:zammad:up": "node docker/scripts/docker.js zammad up",
    "docker:zammad:down": "node docker/scripts/docker.js zammad down",
    "docker:zammad:build": "node docker/scripts/docker.js zammad build",
    "docker:bridge:dev:up": "node docker/scripts/docker.js bridgeDev up",
    "docker:bridge:dev:down": "node docker/scripts/docker.js bridgeDev down",
    "docker:bridge:up": "node docker/scripts/docker.js bridge up",
    "docker:bridge:down": "node docker/scripts/docker.js bridge down",
    "docker:bridge:build": "node docker/scripts/docker.js bridge build"
  },
  "workspaces": [
    "apps/*",
    "packages/*",
    "database/*"
  ],
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/digiresilience/link/link-stack.git"
  },
  "packageManager": "npm@10.8.3",
  "author": "Darren Clarke",
  "license": "AGPL-3.0-or-later",
  "devDependencies": {
    "dotenv-cli": "latest",
    "eslint": "^8",
    "turbo": "^2.1.2",
    "typescript": "latest"
  },
  "overrides": {
    "eslint-config-next": {
      "eslint": "$eslint"
    },
    "eslint-plugin-import": {
      "eslint": "$eslint"
    },
    "eslint-plugin-jsx-a11y": {
      "eslint": "$eslint"
    },
    "eslint-plugin-react": {
      "eslint": "$eslint"
    },
    "@typescript-eslint/eslint-plugin": {
      "eslint": "$eslint"
    },
    "@typescript-eslint/parser": {
      "eslint": "$eslint"
    },
    "eslint-plugin-promise": {
      "eslint": "$eslint"
    },
    "@babel/eslint-parser": {
      "eslint": "$eslint"
    }
  },
  "engines": {
    "npm": ">=10",
    "node": ">=20"
  }
}
